## visad.data.hdf5
Interface HDF5DataAdaptable

All Known Implementing Classes:
  HDF5DatasetAdapted, HDF5GroupAdapted

public interface HDF5DataAdaptable

The interface for HDF5 data objects which can be adapted by the VisAD data objects

Method Summary
`DataImpl` `getAdaptedData()`
`DataImpl` `getAdaptedData(int[] indexes)`
`MathType` `getMathType()`

Method Detail

### getMathType

    public MathType getMathType()
                         throws VisADException

  Throws:
    `VisADException`

### getAdaptedData

    public DataImpl getAdaptedData()
                            throws VisADException,
                                   RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData(int[] indexes)
                            throws VisADException,
                                   RemoteException

  Throws:
    `VisADException`
    `RemoteException`